#!/bin/bash

#   /home/graham/gnuplot/plot_today_all_temperatures_and-honey-ramdisk2.sh

gnuplot <<- EOF

#date = system("date +%F.%H.%M.%S")

set terminal png size 800,480
set xdata time
set timefmt "%H:%M"
set format x "%H:%M"
# time range must be in same format as data file
set xrange ["00:00":"23:59"]
#set autoscale x
set datafile sep ';'

#set key bottom

date = system("date +%F")    # gives a date like  2016-06-04
set output '/var/www/html/ramdisk2/T-Pool_Honey.png'

set yrange ["0":"40"]
#set autoscale y
set grid
set xlabel "Time of day"
set ylabel "\nTemperature degrees C" textcolor rgb "red"
set ytics 2 nomirror textcolor lt 1;

set title "`date +%d-%b-%Y-%H-%M`\nSolar panel, pool and air temperatures + pump activity + honey"

set key right box
set linetype 1 lw 1 lc rgb "green"
set linetype 2 lw 1 lc rgb "red"
set linetype 3 lw 1 lc rgb "black"
set linetype 4 lw 2 lc rgb "brown"
set linetype 5 lw 3 lc rgb "purple"
set linetype 6 lw 2 lc rgb "blue"


set y2range ["0":"20"]
#set autoscale y2
set y2label "\nPounds of honey" textcolor rgb "blue"
set y2tics 1 nomirror textcolor lt 3;

set arrow 1 nohead front \
from graph 1, graph 0 to graph 1, graph 1 lc rgb "blue" 
    
         
unset logscale y
plot "/var/www/ramdisk/4b0_AllData.txt" using 1:2 index 0 title "Panel" with lines,\
"/var/www/ramdisk/4b0_AllData.txt" using 1:3 index 0 title "Pool" with lines,\
"/var/www/ramdisk/4b0_AllData.txt" using 1:4 index 0 title "Pool air" with lines,\
"/var/www/ramdisk/4b0_AllData.txt" using 1:5 index 0 title "Outside" with lines,\
"/var/www/ramdisk/4a2_pump.txt" using 1:2 index 0 title "Pump" with lines,\
"/var/www/ramdisk/4b0_potpounds.txt" using 1:2 index 0 title "Honey" with lines axes x1y2

EOF
